/*

Theme Name: Carmelcollege Salland
Template: kadence
Author: Cloudwise
Version: 1.0.0
Text Domain: carmel-theme
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

 #main-header .site-header-row-layout-contained{
    margin-top:24px;
}

.bighero .wp-block-search .wp-block-search__button{
    width:48px;
    height:48px;
    display:flex;
    align-items: center;
    justify-content: center;
}

.wp-block-kadence-rowlayout {
    margin-bottom: 7.5rem;
}

.wp-block-kadence-rowlayout .wp-block-kadence-rowlayout {
    margin-bottom: 0;
}

.wp-block-kadence-rowlayout.no-row-margin {
    margin-bottom: 0;
}

.site-top-header-inner-wrap nav.header-navigation ul .sub-menu{
    background-color:#fff !important;
    border-radius: 0 0 8px 8px;
}


.colorbackgroundrow > div{
    padding: 0 !important

}

footer.site-footer{
    padding:0px;

    .wp-block-kadence-rowlayout{
        margin-bottom:34px;
    }

    .linklist{
        a{
            display:block;
            width:100%;
            position: relative;
            color: #F5F5F4;
            font-size:20px;

            &:after{
                content:'';
                background-image:url('images/arrow.svg');
                background-repeat: no-repeat;
                background-size:12px 12px;
                background-position: center;
                width:32px;
                height:32px;
                position: absolute;
                right: 12px;
                top:-3px;
                border-radius: 8px;
                border: 1px solid var(--Primary-CCG-Grijs-25, rgba(245, 245, 244, 0.25));
                transition: 0.3s;
            }

            &:hover{
                text-decoration: none;

                &:after{
                    right:0;
                }
            }
        }
        p{
            height: 32px;
            display: flex;
            align-items: center;
            justify-content: center;
            
        }
    }

}

@media(min-width:1024px){
    footer.site-footer{
        padding:16px;
    }
}

@media(max-width:1024px){
    footer.site-footer p{
        font-size:16px;
    }
}



@media(max-width:1024px){
    .wp-block-kadence-rowlayout {
        margin-bottom: 80px;
    }
    .zoekboxheader .wp-block-search__inside-wrapper{
        width: 75% !important
    }
}


@media(max-width:700px){

    .zoekboxheader .wp-block-search__inside-wrapper{
        width: 100% !important
    }
}


#mobile-header{
    margin-top:16px;
}

@media(max-width:1024px){
    .footer-widget-area-inner > .widget_block.widget_text:first-child p{
        border-bottom:1px solid #fff;
        padding-bottom:16px;
    }

}

@media(max-width:1200px){
    .herowrapper p{
        font-size:18px;
        line-height: 130%;
        letter-spacing: -0.18px;
    }
}   


nav#site-navigation{
    height:100%;

    ul:not(.sub-menu) > li{
        height:100%;
        border-left:0.5px solid rgba(0, 0, 0, 0.10);
        display: flex;
        align-items: center;
        padding-left:8px;
        padding-right:8px;

        &:last-child{
            border-right:0.5px solid rgba(0, 0, 0, 0.10);
        }
    }
}

.header-navigation ul ul.sub-menu, .header-navigation ul ul.submenu{
    box-shadow: none !important;
}

.carmel-menu-hover-link{
	margin-bottom:16px;
	font-size:20px;
	line-height: 24px;
	text-decoration: none;
	color:rgba(0, 0, 0, 1);

	&:last-child{
		margin-bottom:0;
	}
}

.bighero{
    margin-top: -104px;
    margin-bottom: 90px !important;
}



@media(max-width:1025px) {
	.carmel-menu-hover-link{
		margin-bottom:16px;
		font-size:16px;
	
	}
    #mobile-secondary-site-navigation{
        padding: 0 24px;
    }

    .mobile-navigation ul li .sub-menu{
        border-bottom: 0px solid var(--colors-dark-black-10, rgba(0, 0, 0, 0.10));
        border-top: 0px solid var(--colors-dark-black-10, rgba(0, 0, 0, 0.10));
        padding:16px;

        a{
            font-weight:400;
            font-size:16px;
            line-height:1.2;
            padding:0 .5em;
        }
    }

    .bighero{
        margin-top: -90px;
        margin-bottom: 90px !important;
    }
}

@media(max-width:768px) {
    .bighero{
        margin-top: -54px;
        margin-bottom: 90px !important;
    }

    .hide-on-mobile{
        display:none;
    }
}

ul.sub-menu.show-drawer{
	padding-left:0 !important; 
} 

.header-menu-container  a{
    text-decoration: none;
}
.mobile-drawer-content > div:first-child{
	background-color:#fff;
	border-radius:0 0 16px 16px;
    padding:16px;
}


#mobile-drawer.popup-drawer .drawer-content{
    padding:0 16px ;
}
div#mobile-drawer .drawer-header{
    background-color:#fff;
    width:calc(100% - 32px);
    margin:0 auto;
    border-radius:16px 16px 0 0;
}
.drawer-inner{
    padding-top:16px;
}

.wp-singular .mobile-navigation:not(.drawer-navigation-parent-toggle-true) ul li.menu-item-has-children .drawer-nav-drop-wrap button{
    border:0;
}

.wp-singular .mobile-navigation ul li.menu-item-has-children .drawer-nav-drop-wrap, .mobile-navigation ul li:not(.menu-item-has-children):last-child a{
    border:0;
}
#mobile-secondary-site-navigation ul li.menu-item-has-children .drawer-nav-drop-wrap, #mobile-secondary-site-navigation ul li:not(.menu-item-has-children):last-child a{
    border:none;
}
header.site-header:has(.menu-item--toggled-on){
    z-index:4;
    
}
ul#mobile-menu >  li{
    border-bottom:1px solid rgba(0, 0, 0, 0.10);
}

.mobile-navigation ul li a
header.site-header:has(.menu-item--toggled-on) + main#inner-wrap:before{
    content:'';
    width:100vw;
    height:100vh;
    background-color:rgba(0,0,0,0.6);
    top:0;
    left:0;
    position:absolute;
    z-index:3;
    position: fixed;
}

/* zoekresultaten */

.search-results .site-main{
    padding:120px 0 100px;
    max-width:900px;
    margin:0 auto
}

.search-results .site-main h1{
    text-align: center;
    margin-bottom:40px;
}

.search-results .site-main .entry-list-item article{
    padding:40px;
    border-radius:24px;
    box-shadow:none
}
.search-results .site-main .entry-list-item article .entry-content-wrap{
    padding:0;
}
.search-results .site-main .entry-list-item article h2{
    margin-bottom:24px;
}

.search-results .site-main .entry-list-item article .wp-element-button{
    padding:0;
    display: flex;
    border-radius:8px;
        background-color:#005C74;
    color:#fff;
    padding:10px;
}

#main-header .main-navigation .primary-menu-container > ul > li.menu-item > a{
    padding-left:16px;
    padding-right:16px;
}

/* infohub */
.carmel-infohub__content section{
    padding:40px;
    background-color:#fff;
    border-radius:24px;
}

.carmel-infohub__nav{
    padding:40px;
    background-color:#fff;
    border-radius:24px;
}
.carmel-infohub__nav ul{
    padding-left:0 !important;
}


@media(max-width:1025px){
    .iconmenu{
        width: 32px;
        height: 32px;
        flex-shrink: 0;
        background-image: url('/wp-content/themes/ccg/images/loginicon.svg');
        background-repeat: no-repeat;
        background-size: 20px 20px;
        background-position: center;
        display: flex;
        align-items: center;
        justify-content: center;
        padding:16px;

    }
    .search-toggle-open-container .search-toggle-open.search-toggle-style-bordered,
    .mobile-header-button-wrap .mobile-header-button-inner-wrap .mobile-header-button,
    .mobile-toggle-open-container #mobile-toggle,
    .iconmenu{
        padding:6px;
        border-radius: 8px;
        border-radius: 8px;
        border: 0.5px solid rgba(0, 0, 0, 0.3);
    }
    .mobile-toggle-open-container #mobile-toggle{
        padding:8px;
    }
    .search-toggle-open-container .search-toggle-open .search-toggle-icon{
        font-size:20px !important;
    }
}

.knop-terug{
    svg{
        path{
            fill:currentColor
        }
    }
    span{
        font-weight:400;
    }
}

/* team */
.single-content .carmel-team-slider__name{
    font-weight:500;
    font-size:32px;
}
/* kalender */
.simcal-calendar{

    .simcal-calendar-head{
        background-color:#fff;
    }

    .simcal-nav h3{
        color: #020A0A;
        text-align: center;
        font-family: Roboto;
        font-size: 18px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
    }

    .simcal-nav-button i{
        color: #020A0A;
        font-family: Roboto;
        font-size: 14px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
    }
    .simcal-week-day {
        color: #020A0A;
        text-align: center;
        font-family: Roboto;
        font-size: 11px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
        padding: 10px 0;
    }

    .simcal-day-label{
        color: #020A0A !important;
        text-align: right;
        font-family: Roboto;
        font-size: 12px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
        background-color:#fff !important
    }

    .simcal-event-title{
        color: #020A0A;
        font-family: Roboto;
        font-size: 10px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
    }

}

.entry-content .simcal-default-calendar-grid .simcal-day{
    height: 118px;
    min-height: 118px;
    padding: 8px 8px 16px 8px !important;
    gap: 4px;
    flex: 1 0 0;
    background-color:#fff !important;
    
    > div{
        min-height:118px !important
    }
}

.entry-content  .simcal-default-calendar-grid .simcal-event,
.entry-content  .simcal-default-calendar-grid.simcal-default-calendar-light .simcal-event{
    border-bottom:0;
}


/* nieuws slider */

.carmel-news-slider__meta{
    .carmel-news-slider__badge-dot{
        background-color:rgba(79, 193, 0, 1);
    }
}

.cta-pattern, .cta-pattern-wide{
    h2{
        letter-spacing: -3.2px;
        font-weight: 700;
        line-height: 100%;
        font-size:64px;
    }
    h3{
        letter-spacing: -3.2px;
        font-weight: 700;
        line-height: 100%;
        font-size:64px;
    }
    > div{
        p{
            letter-spacing: -0.24px;
            line-height: 130%;
            font-weight: 400;
            margin-bottom:24px !important;
        }
    }
}

@media(max-width:1024px){
    .cta-pattern{
        h3{
            letter-spacing: -2px;
            font-size:40px;
        }
        h2{
            letter-spacing: -2px;
            font-size:40px;
        }
        > div{
            p{
                letter-spacing: -0.18px;
                font-size:18px;
            }
        }
    }
}